html {
    height: 100%;
    overflow-x: hidden;
}

body {
    font-family: "Roboto";
    position: relative;
    padding-bottom: 5rem;
    min-height: 100%;
    overflow-x: hidden;
}

.grid-container {
    display: grid;
    height: 100%;
    grid-template-columns: 1fr;
    grid-template-rows: 55px 1fr 80px;
    grid-gap: 1px;
    grid-template-areas: "kpmp-header""kpmp-content""kpmp-footer";
}

.kpmp-header {
    grid-area: kpmp-header;
    border-bottom-color: grey;
    border-bottom-width: 1px;
    border-bottom-style: solid;
    padding: 10px 0px;
    margin: 0px 10px -5px 10px;
}

.kpmp-content {
    grid-area: kpmp-content;
}

.kpmp-footer {
    grid-area: kpmp-footer;
    background-color: rgb(18, 27, 43);
    color: white;
    width: 100%;
    font-weight: 400;
    font-size: 13px;
    line-height: 24px;
    position: absolute;
    bottom: 0;
}

.kpmp-footer footer {
    margin: 18px;
}

.idp-ds {
    margin-top:12px;
}

.instr {
    line-height: 24px;
    font-weight: 400;
    font-style: normal;
}

.welcome {
    color: rgb(40, 60, 94);
    font-size: 32px;
    margin-top: 20px;
}

.select-instr {
    color: #283C5E;
    margin-top: 12px;
    font-size: 18px;
}

.idp-form-row {
    display: flex;
    margin-top: 12px;
}

#idp-dropdown-wrap {
    margin-right: 15px;
}

.idp-dropdown {
    width: 225px;
    max-height: 250px;
    overflow-y: auto;
    overflow-x: hidden;
    cursor: pointer;
    text-overflow: ellipsis;
}

#idp-select-btn {
    width: 110px;
    background-color: #0275d8;
}

.idp-dropdown-btn-text {
    font-size: 14px;
    font-weight: 400;
    line-height: 17px;
    border: 0;
    width: 300px;
}

#idp-dropdown-btn::after {
    color: transparent;
}

#idp-dropdown-btn {
    text-align: left;
}

#idp-dropdown-instr::after {
    float: right;
    width: 0;
    height: 0;
    margin-left: .255em;
    vertical-align: middle;
    content: "";
    border-top: .3em solid;
    border-right: .3em solid transparent;
    border-bottom: 0;
    border-left: .3em solid transparent;
    color: rgb(128, 128, 128);
    margin-top: 10px;
}

.remember-me-check-wrap {
    margin-top: 10px;
    margin-bottom: 10px;
}

.remember-me-check-text {
    font-size: 14px;
    font-weight: 400;
    line-height: 17px;
    color: rgb(51, 51, 51);
    margin-left: -3px;
    padding-top: 4px;
}

#idp-list {
    list-style: none;
    text-align: left;
}

#idp-search {
    font-family: "Helvetica";
    font-size: 14px;
    font-weight: 400;
    color: #373A3C;
    margin: 4px 0px 4px 10px;
    width: 348px;
}

#idp-search:hover {
    cursor: text;
}

#idp-search:focus {
    outline: none;
}

.idp-option {
    display: flex;
    width: inherit;
    margin: 5px 0px 5px -40px;
/*             height: 30px; */
}

.idp-option:hover {
    background-color: lightgray;
}

.idp-option-text {
    flex-basis: 100%;
    font-family: "Helvetica";
    font-size: 14px;
    font-weight: 400;
    color: #373A3C;
    margin-left: 10px;
    margin-top: 5px;
}

.btn-primary-outline {
    background-color: transparent;
    border-color: #ccc;
    color: gray;
}

.uwid-sponsor-box {
    border-radius: 4px;
    border-color: rgba(188, 223, 241, 1);
    background-color: #e6f1ff;
    box-sizing: border-box;
    border-width: 1px;
    border-style: solid;
    width: 580px;
/*             height: 100%; */
    position: inherit;
    top: 20px;
    /* IE Support */
    max-width: 100%;
    /* Firefox Support */
    max-width: 53%;
    /* Chrome Support */
    max-width: fit-content;
}

.uwid-sponsor-msg {
    color: #283C5E;
    word-wrap: break-word;
    font-size: 14px;
    text-align: left;
    line-height: 24px;
    margin: 15px;
}

#google-btn {
    cursor:pointer;
}

#msn-btn {
    cursor:pointer;
}

@media screen and (min-width: 768px) {
    .uwid-sponsor-box {
        top: 105px;
        margin-left: 30px;
    }
}